Kirjoittaja Aihe: Tulostimen lisääminen HPLIP 3.14.6 -versiolla [RATKAISTU]  (Luettu 1495 kertaa)

AimoE

  • Käyttäjä
  • Viestejä: 1815
    • Profiili
Päivitin sitten Ubuntu väliversioon 14.10, mutta erinäisistä (pitkään kertyineistä) syistä tein sen pitkällä kaavalla eli ensin asensin 14.04.1:n uudelleen ja vasta sitten päivitin. Samalla päätin tehdä eräät määritykset uudelleen sen sijaan että kopioisin vanha asetukset paikalleen sellaisenaan. Yksi näistä määrityksistä oli HP:n tulostimen käyttöönotto, enkä todellakaan odottanut että sen kanssa tulisi mitään ongelmia. Näin kuitenkin kävi.

Nyt kun ongelmat on selvitetty, voin raportoida missä kohdassa niitä tuli ja miten niistä selvittiin.

Työvaiheet:
  • asenna hplip-gui
  • käynnistä hplip-gui
    • valitse "Setup Device"
    • valitse Wi-Fi ja kytke usb-kaapeli kun sitä vaaditaan;
      "Driver Plug-In Required" avautuu
      • syötä oman käyttäjätunnuksen salasana
      • hyväksy lisäosan haku verkosta
      • hyväksy käyttöehdot
      • asennus kaatuu virheseen:
        Lainaus
        file does not match its checksum. File may have been corrupted or altered
        Virheilmoitus ei sisällä tiedoston nimeä, mutta kyseessä on juuri haettu lisäosa.

Tässä kohdassa jätin usb-kaapelin paikalleen ja jatkoin tulostimen lisäämistä hplip-gui:n kautta, ja se sujui ihan oikein.

Seuraavaksi suoritin komennon hp-setup 192.168.1.113, ja taas ruudulle tuli "Driver Plug-In Required", ja taas lisäosan asennus epäonistui.

Etsin verkosta lisätietoa tuon virhetekstin avulla ja löysinkin heti ihan tuoreen raportin samasta ongelmasta: http://askubuntu.com/questions/579006/problem-with-hplip-3-14-10-install.

Tosin tuossa tapauksessa raportoija oli hakenut HP:n sivustolta uusimman version, ja sen ansiosta saanut virheilmoituksen josta kävi ilmi ongelmatiedoston nimi. Selostuksessa mainitaan myös lataushakemisto http://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/ jota en ehkä muuten olisi löytänyt. Muuten kaverin selostus tilanteesta on täynnä arvailua joka menee monin paikoin pieleen, mutta tuo lataushakemisto osoittautui tärkeäksi tiedoksi.

Tarkistin mikä hplip-versio minulla on ja hain lataushakemistosta lisäosan oikean version. Lataamisen jälkeen tarkistin käsin gpg-komennoilla tiedoston sormenjäljen. Laitan tähän koko sarjan näkyviin koska myöhemmässä vaiheessa selviää miten paljon komentojen tulostus kertoo siitä mikä lisäosan asennuksessa meni vikaan.

Koodia: [Valitse]
$ cd Lataukset/
$ gpg --verify hplip-3.14.6-plugin.run.asc hplip-3.14.6-plugin.run
gpg: hakemisto "/home/haltia/.gnupg" luotu
gpg: uusi asetustiedosto "/home/haltia/.gnupg/gpg.conf" luotu
gpg: VAROITUS: asetukset tiedostossa "/home/haltia/.gnupg/gpg.conf" eivät ole käytössä vielä tässä ajossa
gpg: avainrengas "/home/haltia/.gnupg/pubring.gpg" luotu
gpg: Signature made ti  3. kesäkuuta 2014 09.45.12 EEST using DSA key ID A59047B9
gpg: Allekirjoitusta ei voi tarkistaa: julkista avainta ei löydy
$ gpg --recv-keys A59047
gpg: avainrengas "/home/haltia/.gnupg/secring.gpg" luotu
gpg: requesting key A59047B9 from hkp server keys.gnupg.net
gpg: /home/haltia/.gnupg/trustdb.gpg: trustdb luotu
gpg: avain A59047B9: julkinen avain "HPLIP (HP Linux Imaging and Printing) <hplip@hp.com>" tuotu
gpg: ehdottomasti luotettavia avaimia ei löytynyt
gpg: Kaikkiaan käsitelty: 1
gpg:               tuotu: 1
$ gpg --fingerprint A59047B9
pub   1024D/A59047B9 2009-12-15
      Key fingerprint = 4ABA 2F66 DBD5 A958 9491  0E06 73D7 70CD A590 47B9
uid                  HPLIP (HP Linux Imaging and Printing) <hplip@hp.com>
sub   2048g/26153BA0 2009-12-15

$ gpg --verify hplip-3.14.6-plugin.run.asc hplip-3.14.6-plugin.run
gpg: Signature made ti  3. kesäkuuta 2014 09.45.12 EEST using DSA key ID A59047B9
gpg: Good signature from "HPLIP (HP Linux Imaging and Printing) <hplip@hp.com>"
gpg: VAROITUS: Tätä avainta ei ole varmennettu luotettavalla allekirjoituksella!
gpg:          Mikään ei takaa sitä, että allekirjoitus todella kuuluu haltijalleen.
Ensisijaisen avaimen sormenjälki: 4ABA 2F66 DBD5 A958 9491  0E06 73D7 70CD A590 47B9

Tämän jälkeen suoritin uudelleen komennon hp-setup 192.168.1.113 ja kun ponnahdusikkuna "Driver Plug-In Required" avautui, valitsinkin verkosta lataamisen sijaan paikalliselle levylle haetun tiedoston.
Tällä kertaa ohjelma ilmoittaakin että "Unable to recieve key from keyserver" eli avainta ei löydy avain­palvelimelta, ja kysyy "Do you still want to install the plugin?" eli asennetaanko silti. Hieman ihmettelin miksei avainpalvelinta muka löydy, mutta koska juuri itse sain tarkistuksen tehdyksi, sanoin että jees, asennetaan vaan.

Vihdoinkin näytti siltä että asennus onnistui, ja pääsin jatkamaan tulostimen määrittelyä hplip-gui:n puolella. Sielläkin kaikki näytti menevän oikein. Mutta kun tarkistin asioita jälkeenpäin, alkoi tulla esiin oireita siitä että kaikki ei vieläkään ole kunnossa.

Ihan eka reaktio oli että ehkä se gpg-tarkistus olisi pitänyt tehdä sudolla. Niinpä menin sudo -i:llä rootiksi ja tein gpg-tarkistuksen. Ja niinhän siellä kävi että ei ollut alihakemistoa /root/.gnupg vielä olemassakaan. Tämä paljasti mikä lisäosan asennuksessa on pohjimmiltaan vikana, mutta loppujen lopuksi en joutunut tekemään lisäosan asennusta uudelleen, vaan pikkuviat korjaantuivat yksinkertaisemmin.

Avartava paljastus oli se kun hplip-gui:n ikkunassa täppäsin keltaista kolmiokuvaketta eli käynnistin "Diagnose Queues" -toiminnon. Se kertoi että "'HP_LaserJet_Professional_P_1102w' is using incorrect PPD file. Do you want to reconfigure queue?"

Niinpä tarkistin onko PPD:n suojauksissa jotain vikaa, ja olihan siinä verrattuna aikaisemman asennuksen vastaavaan (olin onneksi varmuuskopioinut /etc:n ennen kuin asensin Ubuntun uudellen). Ensinnäkin, .ppd-tiedoston omistajuus oli hieman muuttunut; nyt omistajuus on root:lp, kun se ennen oli root:root. Toiseksi, uuden .ppd-tiedoston suojauksista puuttui lukuoikeus kaikille. Omistajuutta en lähtenyt muutamaan, mutta suoritin chmod +r -komennon ja sen jälkeen kaikki ongelmat olivat ohi.

Syy miksi osasin heti epäillä suojauksia oli se että viimeksi kun asensin HP:n tulostimen, tuo samainen lisäosan asennus jätti mun kotihakemistoon .gnupg-alihakemiston joka oli rootin omistuksessa. Tarkistin moneen kertaan että en ollut ajanut mitään sudolla, vaan ihan tuo HP:n oma ohjelmisto teki sen. Ilmeisesti joku on ryhtynyt korjaavaan tätä suhteellisen pientä ongelmaa ja päätynyt paljon isompaan ongelmaan, jonka takia lisäosan asennus kaatuu ihan turhan päiten. Ja tuon askubuntu-artikkelin perusteella voi päätellä että vika on edelleen olemassa tuoreimmassa versiossa, joten sen hakeminen ei kannata.

Kaiken edellä kuvatun jälkeen katsoin vielä piruttani onko alihakemistossa ~/.hplip jotain väärin suojattua, ja kuinka ollakaan löysin sieltä täysin tarpeettoman alihakemiston: ~/.hplip/.gnupg/ ja sieltä kaksi tyhjää tiedostoa, joita siis lisäosan asennus ei ollut onnistunut käyttämään mihinkään.

Onneksi koko ruljanssista kuitenkin pääsi yli väihin vaurioin.

Edit: yritin koodin osien värjäämistä, muutta eipä toimi.
« Viimeksi muokattu: 01.02.15 - klo:18.21 kirjoittanut AimoE »

AimoE

  • Käyttäjä
  • Viestejä: 1815
    • Profiili
Vs: Tulostimen lisääminen HPLIP 3.14.6 -versiolla [RATKAISTU]
« Vastaus #1 : 01.02.15 - klo:18.22 »
Tässä vielä se mitä tapahtui tein gpg-vaiheen sudolla. Huomaa virheilmoitus
Lainaus
avainpalvelimelta vastaanotto epäonnistui: URI ei kelpaa

Koodia: [Valitse]
$ sudo -i
# gpg --recv-keys A59047B9
gpg: hakemisto "/root/.gnupg" luotu
gpg: uusi asetustiedosto "/root/.gnupg/gpg.conf" luotu
gpg: VAROITUS: asetukset tiedostossa "/root/.gnupg/gpg.conf" eivät ole käytössä vielä tässä ajossa
gpg: avainrengas "/root/.gnupg/secring.gpg" luotu
gpg: avainrengas "/root/.gnupg/pubring.gpg" luotu
gpg: no keyserver known (use option --keyserver)
gpg: avainpalvelimelta vastaanotto epäonnistui: URI ei kelpaa
# gpg --recv-keys A59047B9
gpg: requesting key A59047B9 from hkp server keys.gnupg.net
gpg: /root/.gnupg/trustdb.gpg: trustdb luotu
gpg: avain A59047B9: julkinen avain "HPLIP (HP Linux Imaging and Printing) <hplip@hp.com>" tuotu
gpg: ehdottomasti luotettavia avaimia ei löytynyt
gpg: Kaikkiaan käsitelty: 1
gpg:               tuotu: 1
# gpg --fingerprint A59047B9
pub   1024D/A59047B9 2009-12-15
      Key fingerprint = 4ABA 2F66 DBD5 A958 9491  0E06 73D7 70CD A590 47B9
uid                  HPLIP (HP Linux Imaging and Printing) <hplip@hp.com>
sub   2048g/26153BA0 2009-12-15
# cd /home/haltia/Lataukset
# gpg --verify hplip-3.14.6-plugin.run.asc hplip-3.14.6-plugin.run
gpg: Signature made ti  3. kesäkuuta 2014 09.45.12 EEST using DSA key ID A59047B9
gpg: Good signature from "HPLIP (HP Linux Imaging and Printing) <hplip@hp.com>"
gpg: VAROITUS: Tätä avainta ei ole varmennettu luotettavalla allekirjoituksella!
gpg:          Mikään ei takaa sitä, että allekirjoitus todella kuuluu haltijalleen.
Ensisijaisen avaimen sormenjälki: 4ABA 2F66 DBD5 A958 9491  0E06 73D7 70CD A590 47B9
# exit

juyli

  • Vieras
Vs: Tulostimen lisääminen HPLIP 3.14.6 -versiolla [RATKAISTU]
« Vastaus #2 : 01.02.15 - klo:22.34 »
Päivitin sitten Ubuntu väliversioon 14.10, mutta erinäisistä (pitkään kertyineistä) syistä tein sen pitkällä kaavalla eli ensin asensin 14.04.1:n uudelleen ja vasta sitten päivitin.
Tuo asennus uusimpaan LTS-versioon oli ihan turhaa, sillä päivittämällä 14.04-versiosi ajanmukaisesti, on jakelu samalla tasolla kuin uusin 14.04.x -versio.
Uudelleen asennus on tarpeen vain, jos haluat poistaa jakelusta kaikkea sitä ylimääräistä tauhkaa, jota olet siihen ehtinyt asentaa - todennut sen tarpeettomaksi - ja jäänyt kuitenkin poistamatta.
Asennus puhtaalle pöydälle vaatii kaikkien tarpeellisiksi katsomiesi osien uudelleen asennuksen - ja niiden konffaamisen uudelleen. Uudelleen asennus on nopea toimenpide, mutta omien konffien tekeminen on taas jo ihan oma lukunsa, joka vaatii aikaa, kaljaa ja tupakkaa.

AimoE

  • Käyttäjä
  • Viestejä: 1815
    • Profiili
Vs: Tulostimen lisääminen HPLIP 3.14.6 -versiolla [RATKAISTU]
« Vastaus #3 : 01.02.15 - klo:22.51 »
Tuo asennus uusimpaan LTS-versioon oli ihan turhaa, sillä päivittämällä 14.04-versiosi ajanmukaisesti, on jakelu samalla tasolla kuin uusin 14.04.x -versio.
Tämä ei kuulu saman otsikon alle, joten en ryhtynyt selittämään syitäni. Idea oli joka tapauksessa että minulla oli jo 14.04.1 mutta siihen oli tullut tauhkaa mukaan useista eri syistä, joten en halunnut tehdä tasonnostoa 14.10:iin vaan halusin asentaa ihan puhtaasti uudelleen, en kuitenkaan suoraan 14.10:iin koska siinä näytti olevan jotain asennustikkuun liittyviä juttuja kesken. Pitkän kaavan mukaan siis. Tästä on turha keskustella enempää, koska se ei tosiaan kuulu saman otsikon alle.